Bug 9805 - Halt script crashes in various locations, notably during umount
Halt script crashes in various locations, notably during umount
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-26 11:45 EST by Matthew Harelick
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-08 09:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harelick 2000-02-26 11:45:21 EST
Hello:

Occassionally, the halt script crashes when bringing down the system
on either a Ctrl-Alt-Delete or simply a halt command.

The location of the crash changes in severity.

However, the most critical time when umount crashes while umounting
my primary hard drive. After the umount fails the halt script attempts
to umount /proc and then freezes, forcing me to turn off the computer.

When I turn the PC back on, I go through fsck and end up with damaged
files.

I have tried syncing before shut down to be safe but this has not
 prevented the umount / file corruption problem.

The Hardware information is as follows:

CPU: AMD K6-2 400 MhZ
MB: Tyan S1598C2
HD: WD 13.G


The initial message at the time of the crash is:
Unable to handle kernel paging request at virtual address 2f3a7094

The log of the event from the /var/log/messages file is:

Feb 25 00:27:02 dragon kernel: Unable to handle kernel paging request at
virtual address 2f3a7094
Feb 25 00:27:02 dragon kernel: current->tss.cr3 = 00101000, %cr3 = 00101000
Feb 25 00:27:02 dragon kernel: *pde = 00000000
Feb 25 00:27:02 dragon kernel: Oops: 0000
Feb 25 00:27:02 dragon kernel: CPU:    0
Feb 25 00:27:03 dragon kernel: EIP:    0010:[filp_close+41/92]
Feb 25 00:27:03 dragon kernel: EFLAGS: 00010206
Feb 25 00:27:03 dragon kernel: eax: 2f3a7074   ebx: c344e8c0   ecx:
00000000   edx: c344e8c0
Feb 25 00:27:03 myhost kernel: esi: 00000000   edi: 74680000   ebp:
00000001   esp: c356df90
Feb 25 00:27:03 myhost kernel: ds: 0018   es: 0018   ss: 0018
Feb 25 00:27:03 myhost kernel: Process touch (pid: 752, process nr: 45,
stackpage=c356d000)
Feb 25 00:27:03 myhost kernel: Stack: c259e340 c0117585 c344e8c0 c259e340
c356c000 401071dc 00000000 bffffccc
Feb 25 00:27:03 myhost kernel:        00000000 c356c000 c01176df 00000000
c0109d08 00000000 40105ca8 4010748c
Feb 25 00:27:03 myhost kernel:        401071dc 00000000 bffffccc 00000001
0000002b 0000002b 00000001 400a98ad
Feb 25 00:27:03 myhost kernel: Call Trace: [do_exit+297/628]
[sys_exit+15/16] [system_call+52/56]
Feb 25 00:27:03 myhost kernel: Code: 8b 40 20 85 c0 74 08 53 ff d0 89 c6 83
c4 04 83 7f 08 00 74
Feb 25 00:27:03 myhost kernel: Unable to handle kernel paging request at
virtual address 2f3a7094
Feb 25 00:27:03 myhost kernel: current->tss.cr3 = 00101000, %cr3 = 00101000
Feb 25 00:27:03 myhost kernel: *pde = 00000000
Feb 25 00:27:03 myhost kernel: Oops: 0000
Feb 25 00:27:03 myhost kernel: CPU:    0
Feb 25 00:27:03 myhost kernel: EIP:    0010:[filp_close+41/92]
Feb 25 00:27:03 myhost kernel: EFLAGS: 00010206
Feb 25 00:27:03 myhost kernel: eax: 2f3a7074   ebx: c344e8c0   ecx:
00000000   edx: c344e8c0
Feb 25 00:27:03 myhost kernel: esi: 00000000   edi: 74680000   ebp:
00000001   esp: c356df90
Feb 25 00:27:03 myhost kernel: ds: 0018   es: 0018   ss: 0018
Feb 25 00:27:03 myhost kernel: Process touch (pid: 753, process nr: 45,
stackpage=c356d000)
Feb 25 00:27:03 myhost kernel: Stack: c259e1a0 c0117585 c344e8c0 c259e1a0
c356c000 401071dc 00000000 bffffccc
Feb 25 00:27:03 myhost kernel:        00000000 c356c000 c01176df 00000000
c0109d08 00000000 40105ca8 4010748c
Feb 25 00:27:03 myhost kernel:        401071dc 00000000 bffffccc 00000001
0000002b 0000002b 00000001 400a98ad
Feb 25 00:27:03 myhost kernel: Call Trace: [do_exit+297/628]
[sys_exit+15/16] [system_call+52/56]
Feb 25 00:27:03 myhost kernel: Code: 8b 40 20 85 c0 74 08 53 ff d0 89 c6 83
c4 04 83 7f 08 00 74
Feb 25 00:27:40 myhost pppd[571]: Terminating on signal 15.
Feb 25 00:27:49 myhost kernel: Unable to handle kernel paging request at
virtual address 2f3a7094
Feb 25 00:27:49 myhost kernel: current->tss.cr3 = 00101000, %cr3 = 00101000
Feb 25 00:27:49 myhost kernel: *pde = 00000000
Feb 25 00:27:49 myhost kernel: Oops: 0000
Feb 25 00:27:49 myhost kernel: CPU:    0
Feb 25 00:27:49 myhost kernel: EIP:    0010:[filp_close+41/92]
Feb 25 00:27:49 myhost kernel: EFLAGS: 00010206
Feb 25 00:27:49 myhost kernel: eax: 2f3a7074   ebx: c344e8c0   ecx:
00000000   edx: c344e8c0
Feb 25 00:27:49 myhost kernel: esi: 00000000   edi: 74680000   ebp:
00000001   esp: c1da3ef8
Feb 25 00:27:49 myhost kernel: ds: 0018   es: 0018   ss: 0018
Feb 25 00:27:49 myhost kernel: Process kfm (pid: 539, process nr: 28,
stackpage=c1da3000)
Feb 25 00:27:49 myhost kernel: Stack: c23055a0 c0117585 c344e8c0 c23055a0
00000001 c1da2000 00000001 c1da3fc4
Feb 25 00:27:49 myhost kernel:        00000000 c1da2000 c0109c11 00000001
c1da2000 00000000 402d6368 bffff9ec
Feb 25 00:27:49 myhost kernel:        c1da3f40 c1da23a8 00000001 00000000
00000000 00000000 ffff0000 402d636c
Feb 25 00:27:49 myhost kernel: Call Trace: [do_exit+297/628]
[do_signal+505/620] [sys_select+1346/1360] [signal_return+20/24]
Feb 25 00:27:49 myhost kernel: Code: 8b 40 20 85 c0 74 08 53 ff d0 89 c6 83
c4 04 83 7f 08 00 74
Feb 25 00:28:04 myhost rc: Stopping keytable succeeded
Feb 25 00:28:05 myhost Font Server[466]: terminating
Feb 25 00:28:05 myhost xfs: xfs shutdown succeeded
Feb 25 00:28:05 myhost gpm: Shutting down gpm mouse services:
Feb 25 00:28:05 myhost gpm: gpm
Feb 25 00:28:05 myhost gpm:
Feb 25 00:28:05 myhost rc: Stopping gpm succeeded
Feb 25 00:28:05 myhost kernel: free_one_pmd: bad directory entry 00008000
Feb 25 00:28:06 myhost inet: inetd shutdown succeeded
Feb 25 00:28:06 myhost atd: atd shutdown succeeded
Feb 25 00:28:06 myhost crond: crond shutdown succeeded
Feb 25 00:28:07 myhost lpd: lpd shutdown succeeded
Feb 25 00:28:07 myhost dd: 1+0 records in
Feb 25 00:28:07 myhost dd: 1+0 records out
Feb 25 00:28:07 myhost random: Saving random seed succeeded
Feb 25 00:28:07 myhost apmd: apmd shutdown succeeded
Feb 25 00:28:08 myhost portmap: portmap shutdown succeeded
Feb 25 00:28:08 myhost network: Shutting down interface eth0 succeeded
Feb 25 00:28:08 myhost network: Disabling IPv4 automatic defragmentation
succeeded
Feb 25 00:28:08 myhost kernel: Kernel logging (proc) stopped.
Feb 25 00:28:08 myhost kernel:Kernel log daemon terminating.
Feb 25 00:28:09 myhost syslog: klogd shutdown succeeded
Feb 25 00:28:10 myhost exiting on signal 15
Comment 1 Matthew Harelick 2000-03-08 09:14:59 EST
I might have fixed the problem. In my BIOS I turned down the speed of
the DRAM from Turbo to Normal, and turned down the speed of the cache
from fastest to fast and the problem has not occurred
recently.
Comment 2 Alan Cox 2000-08-08 15:51:29 EDT
Hardware issue

Note You need to log in before you can comment on or make changes to this bug.